Hardware Locality (hwloc) 1.4

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
hwloc_topology_membind_support Struct Reference
Configure Topology Detection

`#include <hwloc.h>`

## Data Fields

unsigned char | set_thisproc_membind
unsigned char | get_thisproc_membind
unsigned char | set_proc_membind
unsigned char | get_proc_membind
unsigned char | set_thisthread_membind
unsigned char | get_thisthread_membind
unsigned char | set_area_membind
unsigned char | get_area_membind
unsigned char | alloc_membind
unsigned char | firsttouch_membind
unsigned char | bind_membind
unsigned char | interleave_membind
unsigned char | replicate_membind
unsigned char | nexttouch_membind
unsigned char | migrate_membind

## Detailed Description

Flags describing actual memory binding support for this topology.

## Field Documentation

unsigned char hwloc_topology_membind_support::alloc_membind

Allocating a bound memory area is supported.

unsigned char hwloc_topology_membind_support::bind_membind

Bind policy is supported.

unsigned char hwloc_topology_membind_support::firsttouch_membind

First-touch policy is supported.

unsigned char hwloc_topology_membind_support::get_area_membind

Getting the binding of a given memory area is supported.

unsigned char hwloc_topology_membind_support::get_proc_membind

Getting the binding of a whole given process is supported.

unsigned char hwloc_topology_membind_support::get_thisproc_membind

Getting the binding of the whole current process is supported.

unsigned char hwloc_topology_membind_support::get_thisthread_membind

Getting the binding of the current thread only is supported.

unsigned char hwloc_topology_membind_support::interleave_membind

Interleave policy is supported.

unsigned char hwloc_topology_membind_support::migrate_membind

Migration flags is supported.

unsigned char hwloc_topology_membind_support::nexttouch_membind

Next-touch migration policy is supported.

unsigned char hwloc_topology_membind_support::replicate_membind

Replication policy is supported.

unsigned char hwloc_topology_membind_support::set_area_membind

Binding a given memory area is supported.

unsigned char hwloc_topology_membind_support::set_proc_membind

Binding a whole given process is supported.

unsigned char hwloc_topology_membind_support::set_thisproc_membind

Binding the whole current process is supported.

unsigned char hwloc_topology_membind_support::set_thisthread_membind

Binding the current thread only is supported.

The documentation for this struct was generated from the following file:

- hwloc.h